#!/usr/bin/env php
<?php
// -*- coding: UTF-8 -*-

//permettre de forcer l'affichage en direct lors de l'exécution
if(in_array("--help",$argv) || in_array("-h",$argv)) die("option unique pour obtenir l'affichage complet, absent par défaut : -v ou -V (verbose)\n");
elseif(in_array("-v",$argv) || in_array("-V",$argv)) $verbose = true;
else $verbose = false;

//paramètres généraux --> obligatoires car existence vérifiée par EnvoleTools
define('APPLI_NAME','Wordpress'); //pour affichage
define('APPLI_MODULE','wordpress'); //pour noms de fichiers ou répertoires
define('APPLI_DICO','wordpress'); //nom de la variable dans le gen_config
define('ABSPATH','/var/www/html/'.APPLI_MODULE.'/');

//paramètres de connexion qui seront affectés à l'application (DB_PASS sera généré par la librairie) --> obligatoires car existence vérifiée par EnvoleTools
define('DB_HOST','localhost');
define('DB_NAME','wordpress');
define('DB_USER','wordpress');
define('FILE_CONNEXION',ABSPATH.'wp-config.php');

//classe générique qui gère les opérations utiles à l'installation et présente dans l'include_path du php.ini (/usr/share/php)
if(!is_file("/usr/share/php/envolePHP/EnvoleTools.class.php"))
die("---- INSTALLATION IMPOSSIBLE ----\nCause : le fichier \"/usr/share/php/envolePHP/EnvoleTools.class.php\" est introuvable. Réinstaller le paquet \"envole-php\".\n\n");
require_once("envolePHP/EnvoleTools.class.php");

//fonction à redéfinir pour chaque application et gérant la vérification des paramètres du fichier de connexion
function connexion_analyse()
	{
	global $install;

	if(!is_file(FILE_CONNEXION))
		{
		$install->afficher("Le fichier de connexion est introuvable... il va être recréé\n");
		$install->create_user = true;
		}
	else
		{	
		//récupération des paramètres de connexion
		$install->afficher("Lecture des paramètres de connexion... ");
		$tab = file(FILE_CONNEXION);
		$key = key(preg_grep('/DB_PASSWORD/',$tab));
		$val = explode("'",$tab[$key]);
		$PassWordPress = $val[3];
		$install->afficher("OK\n");

		//tester la validité des paramètres obtenus
		if(!$install->test(DB_HOST,DB_USER,$PassWordPress,DB_NAME))
			{
			$install->afficher("Les paramètres sont incorrects... ils vont être mis à jour\n");
			$install->create_user = true;
			}
		else
			{
			//précaution : droits sur le fichier
			exec("chown root:www-data ".FILE_CONNEXION);
			exec("chmod 640 ".FILE_CONNEXION);
			}
		}
	}

//fonction à redéfinir pour chaque application et gérant la création du fichier de connexion
function connexion_creation()
	{
	global $install;
	
	$install->afficher("Création du fichier de connexion... ");


	$hand = @fopen(FILE_CONNEXION, 'r');
	if($hand != false){
		unlink(FILE_CONNEXION);
	}
	
	$handle = @fopen(FILE_CONNEXION,'w');
	if(!$handle) $install->echec("Erreur > Ouverture du fichier de configuration\n\n");
	
	$data = "<?php\n";
	$data .= "// ** Réglages MySQL ** //\n";
	$data .= "define('DB_NAME', '".DB_NAME."'); // Le nom de la base de données\n";
	$data .= "define('DB_USER', '".DB_USER."'); // Votre identifiant MySQL\n";
	$data .= "define('DB_PASSWORD', '".DB_PASS."'); // ...et votre mot de passe\n";
	$data .= "define('DB_HOST', '".DB_HOST."'); // Dans la plupart des cas, vous n'aurez pas à modifier cette ligne\n";
	$data .= "define('DB_CHARSET', 'utf8');\n";
	$data .= "define('DB_COLLATE', '');\n";
	$data .= "\n";
	$data .= "// Modifiez chaque KEY en y mettant une phrase unique.  Vous n'avez pas besoin de la mémoriser.\n";
	$data .= "// Elle doit être longue et compliquée.  Vous pouvez aller sur le site http://api.wordpress.org/secret-key/1.1/ \n";
	$data .= "// afin de générer des phrases uniques pour votre installation. Chaques phrase doit être différente.\n";
	$data .= "define('AUTH_KEY', 'put your unique phrase here'); // Modifier par une phrase unique. \n";
	$data .= "define('SECURE_AUTH_KEY', 'put your unique phrase here'); // Modifier par une phrase unique. \n"; 
	$data .= "define('LOGGED_IN_KEY', 'put your unique phrase here'); // Modifier par une phrase unique. \n";
	$data .= "\n";
	$data .= "// Vous pouvez faire plusieurs installations sur une même base de données, en leur donnant chacune un préfixe unique.\n";

	$data .= "define( 'NONCE_KEY', 'x=E@Lt=o,FnD2u,EOVp]S+?[xyp4w#_4FQ!;xf{7j4-#q<*w(D5vgy6?D.82' );\n";
	$data .= "define( 'AUTH_SALT', './4EAJg(W-):Z_d%kWmR0yWB8CK=%VMF&>a Ue[oNMt-Ky92]bV_DkE!s>8S{Y' );\n";
	$data .= "define( 'SECURE_AUTH_SALT', 'ES^L?lpRq`_lH,A1uy$:)hY$7tkJ?*7~YSh*bYia)lq:<1=1b|;Hck,~=2' );\n";
	$data .= "define( 'LOGGED_IN_SALT', 'aUHw_N.G!~0%mE)Y+~D|})f``U[RRag_E#T6iJ{=~(q466lFkV]BAR(s^&k,W}' );\n";
	$data .= "define( 'NONCE_SALT', '8)28@CQ1vkqaJD/xva/K8%iHdEq{o:JbQP@-CyY;r} 8yR2nE:bdzjVa42Z _f2s' );\n";



	$data .= "\$table_prefix  = 'wp_'; // Que des chiffres, lettres ou caractères soulignés, s'il vous plait !\n";
	$data .= "\n";
	$data .= "// Modifiez la ligne suivante pour traduire l'administration de WordPress. Il faut que le dossier\n";
	$data .= "// wp-content/languages contienne un fichier .mo correspondant à la langue choisie.\n";
	$data .= "// Par exemple,  installez de.mo dans wp-content/languages et précisez 'de' pour la variable WPLANG,\n";
	$data .= "// si vous souhaitez mettre en place la traduction allemande.\n";
	$data .= "define ('WPLANG', 'fr_FR');\n";
	$data .= "define ('FS_METHOD', 'direct');\n";
	$data .= "\n";
	$data .= "define( 'MULTISITE', true );\n";
	$data .= "define( 'SUBDOMAIN_INSTALL', false );\n";
	$data .= "\$base = '/wordpress/';\n";
	$data .= "define( 'DOMAIN_CURRENT_SITE', '".ENVOLE_URL."' );\n";
	$data .= "define( 'PATH_CURRENT_SITE', '/wordpress/' );\n";
	$data .= "define( 'SITE_ID_CURRENT_SITE', 1 );\n";
	$data .= "define( 'BLOG_ID_CURRENT_SITE', 1 );\n";
	$data .= "define( 'FORCE_SSL_ADMIN', false );\n"; //demande #4043

	$data .= "// C'est tout, ne touchez pas au reste ! Bloguez bien ! //\n";
	$data .= "if ( !defined('ABSPATH') ) define('ABSPATH', dirname(__FILE__) . '/');\n";
	$data .= "define('WP_ALLOW_MULTISITE', true);\n";
	$data .= "require_once(ABSPATH . 'wp-settings.php');\n";
	$data .= "?>\n";
	
	if(!@fwrite($handle,$data)) $install->echec("Erreur > Ecriture du fichier de configuration\n\n");
	if(!@fclose($handle)) $install->echec("Erreur > Fermeture du fichier de configuration\n\n");

	$install->resultat(is_file(FILE_CONNEXION));
	
	//bon droits sur le fichier
	exec("chown root:www-data ".FILE_CONNEXION);
	exec("chmod 640 ".FILE_CONNEXION);
	}

//démarrage réel de l'installation qui ouvre notamment le fichier de log et récupère certaines variables du Scribe
$install = new EnvoleTools($verbose);

//condition pour l'installation spécifique dans ajax-portail donc voué à disparaître
if(defined("SCRIBE_ENVOLE") && SCRIBE_ENVOLE=="oui") define('AJAX_PORTAIL',true);
else define('AJAX_PORTAIL',false);

//paramètres de la base "portal" donc voué à disparaître
if(AJAX_PORTAIL)
	{
	$install->afficher("Récupération de paramètres concernant le portail EnvOLE... ");
	if(is_file("/var/www/html/envole/serverdata.php"))
		{
		require_once("/var/www/html/envole/serverdata.php");
		define("PORTAL_NAME",$dbName);
		define("PORTAL_PREFIX",$dbPfix);
		$install->afficher("OK\n");
		}
	else $install->echec("Echec\nAVERTISSEMENT : Le paquet \"ajax-portail\" doit être installé avant le ".APPLI_NAME." -> Installation interrompue.\n\n");
	}

$install->echo_sstitre("Analyse de la base \"".DB_NAME."\" et des paramètres de connexion");

//vérification de la base de données
connexion_creation();
if($install->bdd_verification()) connexion_analyse();

//traitement de création éventuelle base/user
$install->bdd_traitement();

//création éventuelle du fichier de connexion

//simple vérification de la présence des fichiers de configuration nécessaires pour assurer le SSO
$install->echo_sstitre("Vérification du paramétrage du serveur CAS");
$install->afficher("Présence du fichier \"".APPLI_MODULE.".ini\"... ");
if(is_file(DIR_FILTER.APPLI_MODULE.".ini")) $install->afficher("OK\n");
else $install->echec("Echec\nAVERTISSEMENT : Le fichier \"".DIR_FILTER.APPLI_MODULE.".ini\" est introuvable -> Installation interrompue.\nLe paquet aurait dû le fournir.\n\n");
$install->afficher("Présence du fichier \"profil_".APPLI_MODULE.".py\"... ");
if(is_file(DIR_INFOS."profil_".APPLI_MODULE.".py")) $install->afficher("OK\n");
else $install->echec("Echec\nAVERTISSEMENT : Le fichier \"".DIR_INFOS."profil_".APPLI_MODULE.".py\" est introuvable -> Installation interrompue.\nLe paquet aurait dû le fournir.\n\n");

//sauvegarde de la base avant toute mise à jour (si la base existait déjà sinon on obtient un fichier vide...)
if(!$install->create_base)
	{
	$install->echo_sstitre("Sauvegarde de la base avant toute mise à jour");
	$install->dump(DB_NAME);
	}

//installation/maj par le processus propre à l'application mais automatisé dans install_appli.php
$install->echo_titre("Procédure d'installation/maj propre à l'application");
if(!is_file($install->rep_exec."install_".APPLI_MODULE.".php")) $install->echec("\nLe fichier \"".$install->rep_exec."install_".APPLI_MODULE.".php\" est introuvable -> Installation interrompue.\nLe paquet aurait dû le fournir.\n\n");
include_once($install->rep_exec."install_".APPLI_MODULE.".php");	
?>
